from flask_restful import Resource
from flask import current_app as app
from flask import request
import json

class KF3_Update(Resource):
    def post(self):
        db = app.databases["KF3"]
        try:
            db.reload_data()
            response = app.response_class(
                    response="update successful",
                    status=200,
                    mimetype='text/plain'
                )
        except:
            response = app.response_class(
                    response="update failed",
                    status=500,
                    mimetype='text/plain'
                )

        response.headers.add("Access-Control-Allow-Origin", "*")
        return response 
    
    def get(self):
        return self.post()